cgGetNamedTechnique(3)

NAME
cgGetNamedTechnique - get an effect's technique by name

SYNOPSIS
  #include <Cg/cg.h>
  CGtechnique cgGetNamedTechnique( CGeffect effect,
                                   const char * name );

PARAMETERS

effect
    The effect from which to retrieve the technique.

name
    The name of the technique to retrieve.

RETURN VALUES
Returns the named technique from the effect.

Returns NULL if the effect has no technique corresponding to name.

DESCRIPTION
The techniques of an effect can be retrieved directly by name using cgGetNamedTechnique. The names of the techniques in a effect can be discovered by iterating through the effect's techniques (see the cgGetFirstTechnique manpage and the cgGetNextTechnique manpage), calling the cgGetTechniqueName manpage for each one in turn.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgGetNamedTechnique was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstTechnique manpage, the cgGetNextTechnique manpage, the cgGetTechniqueName manpage